curl --request GET \
--url https://api.baselayer.com/tin_verifications/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/tin_verifications/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/tin_verifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "f5067592-dbb8-4405-a557-6d5056514cae",
"state": "COMPLETED",
"name": "Acme Corporation",
"tin": "123456789",
"created_at": "2026-08-31T10:31:07.816900",
"address": "123 Main St, Anytown, USA",
"tin_matched": true,
"warnings": [
"IRS Validation is unavailable."
],
"tin_match_type": "SSN"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Tin Verification
Retrieve a TIN Verification Request by ID.
Authorizations
Path Parameters
The unique identifier of the TIN verification request to retrieve.
"412a49b5-7466-426b-bf1e-081b00b54576"
"9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5"
Response
Successful Response
Response model for TIN verification data.
This model defines the structure for TIN verification API responses.
The unique identifier of the TIN verification request.
"f5067592-dbb8-4405-a557-6d5056514cae"
The status of the TIN verification request.
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED "COMPLETED"
The name inputted in the search.
"Acme Corporation"
The TIN inputted in the search.
9"123456789"
The date and time when the TIN verification request was created.
"2026-08-31T10:31:07.816900"
The address inputted in the search.
500"123 Main St, Anytown, USA"
Indicates whether the inputted TIN/EIN was a match, per the IRS.
true
Any warnings that occurred.
["IRS Validation is unavailable."]
The type of match that occurred.
SSN, EIN, UNKNOWN "SSN"